RSA_PSS_PARAMS_NEW(3)

NAME
RSA_PSS_PARAMS_new, RSA_PSS_PARAMS_free - probabilistic signature scheme with RSA hashing

SYNOPSIS
#include <openssl/rsa.h>
RSA_PSS_PARAMS *
RSA_PSS_PARAMS_new(void);
void
RSA_PSS_PARAMS_free(RSA_PSS_PARAMS *params);

DESCRIPTION
RSA_PSS_PARAMS_new() allocates and initializes an empty RSA_PSS_PARAMS object, representing an ASN.1 RSASSA-PSS-params structure defined in RFC 8017 appendix A.2.3. It references the hash function and the mask generation function and stores the length of the salt and the trailer field number. RSA_PSS_PARAMS_free() frees params.

RETURN VALUES
RSA_PSS_PARAMS_new() returns the new RSA_PSS_PARAMS object or NULL if an error occurs.

SEE ALSO
RSA_new(3), RSA_padding_add_PKCS1_type_1(3), X509_sign(3)

STANDARDS
RFC 8017: PKCS#1: RSA Cryptography Specifications Version 2.2

HISTORY
RSA_PSS_PARAMS_new() and RSA_PSS_PARAMS_free() first appeared in OpenSSL 1.0.1 and have been available since OpenBSD 5.3.